| Code Coverage
| Classes and Traits | Functions and Methods | Lines
Total |  | 0.00% | 0 / 1 |  | 0.00% | 0 / 7 | CRAP |  | 0.00% | 0 / 70
Profile |  | 0.00% | 0 / 1 |  | 0.00% | 0 / 7 | 56 |  | 0.00% | 0 / 64
getid() |  | 0.00% | 0 / 1 | 2 |  | 0.00% | 0 / 4
setfullname($fullname) |  | 0.00% | 0 / 1 | 2 |  | 0.00% | 0 / 5
getFullName() |  | 0.00% | 0 / 1 | 2 |  | 0.00% | 0 / 4
setUserName($username) |  | 0.00% | 0 / 1 | 2 |  | 0.00% | 0 / 5
getUserName() |  | 0.00% | 0 / 1 | 2 |  | 0.00% | 0 / 4
setCurrentWeight($currentWeight) |  | 0.00% | 0 / 1 | 2 |  | 0.00% | 0 / 5
getCurrentWeight() |  | 0.00% | 0 / 1 | 2 |  | 0.00% | 0 / 4

1 | <?php
2 |
3 | namespace BodyRep\Entity;
4 |
5 | use Doctrine\ORM\Mapping as ORM;
6 | use Symfony\Component\Security\Core\User\UserInterface;
7 |
8 | /**
9 | * Bodyrep\Entity\Profile
10 | *
11 | * @ORM\Table(name="member")
12 | * @ORM\Entity
13 | */
14 | class Profile
15 | {
16 | /**
17 | * @var integer $id
18 | *
19 | * @ORM\Column(name="id", type="integer")
20 | * @ORM\Id
21 | * @ORM\GeneratedValue(strategy="AUTO")
22 | */
23 | private $id;
24 |
25 |
26 | /**
27 | * @var string $fullname
28 | *
29 | * @ORM\Column(name="fullname", type="string")
30 | */
31 | private $fullname;
32 |
33 | /**
34 | * @var string $username
35 | *
36 | * @ORM\Column(name="username", type="string")
37 | */
38 | private $username;
39 |
40 | /**
41 | * @var float $currentweight
42 | *
43 | * @ORM\Column(name="currentweight", type="float")
44 | */
45 | private $currentweight;
46 |
47 |
48 | /**
49 | * Get id
50 | *
51 | * @return integer
52 | */
53 | public function getid()
54 | {
55 | return $this->id;
56 | }
57 |
58 | /**
59 | * Set fullName
60 | *
61 | * @param string $fullname
62 | * @return Profile
63 | */
64 | public function setfullname($fullname)
65 | {
66 | $this->fullname = $fullname;
67 |
68 | return $this;
69 | }
70 |
71 | /**
72 | * Get fullName
73 | *
74 | * @return string
75 | */
76 | public function getFullName()
77 | {
78 | return $this->fullname;
79 | }
80 |
81 | /**
82 | * Set userName
83 | *
84 | * @param string $username
85 | * @return Profile
86 | */
87 | public function setUserName($username)
88 | {
89 | $this->username = $userName;
90 |
91 | return $this;
92 | }
93 |
94 | /**
95 | * Get userName
96 | *
97 | * @return string
98 | */
99 | public function getUserName()
100 | {
101 | return $this->username;
102 | }
103 |
104 | /**
105 | * Set currentWeight
106 | *
107 | * @param float $currentWeight
108 | * @return Profile
109 | */
110 | public function setCurrentWeight($currentWeight)
111 | {
112 | $this->currentweight = $currentWeight;
113 |
114 | return $this;
115 | }
116 |
117 | /**
118 | * Get currentWeight
119 | *
120 | * @return float
121 | */
122 | public function getCurrentWeight()
123 | {
124 | return $this->currentweight;
125 | }
126 |
127 | }